Skip to main content
GET
/
v1
/
billing
/
pricing
Get Pricing Configuration
curl --request GET \
  --url https://api.mixpeek.com/v1/billing/pricing \
  --header 'Authorization: Bearer <token>'
{
  "credit_rate_usd": 123,
  "managed_plans": [
    {}
  ],
  "mvs_plans": [
    {}
  ],
  "mvs_usage_rates": {},
  "enterprise_defaults": {},
  "extractors": [
    {
      "feature_extractor_name": "<string>",
      "description": "<string>",
      "costs": {
        "tier": 2,
        "tier_label": "<string>",
        "rates": [
          {
            "credits_per_unit": 2,
            "description": "<string>"
          }
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful Response

credit_rate_usd
number
required

USD cost per credit (e.g. 0.001 = $0.001/credit)

managed_plans
Managed Plans · object[]
required

Managed Mixpeek plans (Free/Pro/Team/Enterprise)

mvs_plans
Mvs Plans · object[]
required

MVS standalone plans (Free/Pro/Business/Enterprise)

mvs_usage_rates
Mvs Usage Rates · object
required

MVS per-unit usage rates (storage, queries, writes)

enterprise_defaults
Enterprise Defaults · object
required

Default enterprise/tenant billing parameters

extractors
ExtractorPricing · object[]
required

All available extractors with their cost rates